"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _glob = _interopRequireDefault(require("glob"));

var _logger = _interopRequireDefault(require("./logger"));

var _isArrayOfStrings = _interopRequireDefault(require("./isArrayOfStrings"));

var _flattenArray = _interopRequireDefault(require("./flattenArray"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var getGlobPaths = function getGlobPaths(pattern) {
  var files = _glob["default"].sync(pattern);

  if (files.length === 0) {
    throw new Error("\n      Couldn't find any files with the glob ".concat(pattern, ".\n      Did you forget to resolve this to an absolute path with path.resolve?\n    "));
  }

  return files;
};

var _default = function _default(patterns) {
  if (typeof patterns === 'string') {
    _logger["default"].debug('options.resources is String:', true);

    return getGlobPaths(patterns);
  }

  if ((0, _isArrayOfStrings["default"])(patterns)) {
    _logger["default"].debug('options.resources is Array of Strings:', true);

    var paths = patterns.map(function (pattern) {
      return getGlobPaths(pattern);
    });
    return (0, _flattenArray["default"])(paths);
  }

  return [];
};

exports["default"] = _default;